[135619] trunk/dports/gnome/libgnomeprint

devans at macports.org devans at macports.org
Mon Apr 27 22:15:11 PDT 2015


Revision: 135619
          https://trac.macports.org/changeset/135619
Author:   devans at macports.org
Date:     2015-04-27 22:15:11 -0700 (Mon, 27 Apr 2015)
Log Message:
-----------
libgnomeprint: reconfigure using upstream autogen.sh for intltool 0.51 compatibility.

Modified Paths:
--------------
    trunk/dports/gnome/libgnomeprint/Portfile

Added Paths:
-----------
    trunk/dports/gnome/libgnomeprint/files/autogen.sh

Modified: trunk/dports/gnome/libgnomeprint/Portfile
===================================================================
--- trunk/dports/gnome/libgnomeprint/Portfile	2015-04-28 05:05:39 UTC (rev 135618)
+++ trunk/dports/gnome/libgnomeprint/Portfile	2015-04-28 05:15:11 UTC (rev 135619)
@@ -20,7 +20,10 @@
                     port:flex \
                     port:gtk-doc \
                     port:intltool \
-                    port:pkgconfig
+                    port:pkgconfig \
+                    port:autoconf \
+                    port:automake \
+                    port:libtool
 
 depends_lib         port:libart_lgpl \
                     port:libgnomecups \
@@ -40,8 +43,12 @@
                     patch-freetype-2.5.1.diff \
                     bison3.patch
 
-# autoreconf to reconfigure with our intltool.m4
-use_autoreconf      yes
-autoreconf.args     -fvi
+# reconfigure using upstream autogen.sh for intltool 0.51 compatibility
 
+post-patch {
+    xinstall -m 755 ${filespath}/autogen.sh ${worksrcpath}
+}
+
+configure.cmd       ./autogen.sh
+
 livecheck.type      gnome

Added: trunk/dports/gnome/libgnomeprint/files/autogen.sh
===================================================================
--- trunk/dports/gnome/libgnomeprint/files/autogen.sh	                        (rev 0)
+++ trunk/dports/gnome/libgnomeprint/files/autogen.sh	2015-04-28 05:15:11 UTC (rev 135619)
@@ -0,0 +1,52 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="libgnomeprint"
+
+(test -f $srcdir/configure.in \
+  && test -f $srcdir/autogen.sh \
+  && test -d $srcdir/libgnomeprint) || {
+    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+    echo " top-level $PKG_NAME directory"
+    exit 1
+}
+
+DIE=0
+
+rm -f .using-gnome-libs-package
+
+# This is a bit complicated here since we can't use gnome-config yet.
+# It'll be easier after switching to pkg-config since we can then
+# use pkg-config to find the gnome-autogen.sh script.
+
+gnome_autogen=
+gnome_datadir=
+
+ifs_save="$IFS"; IFS=":"
+for dir in $PATH ; do
+  test -z "$dir" && dir=.
+  if test -f $dir/gnome-autogen.sh ; then
+    gnome_autogen="$dir/gnome-autogen.sh"
+    gnome_datadir=`echo $dir | sed -e 's,/bin$,/share,'`
+    break
+  fi
+done
+IFS="$ifs_save"
+
+if test -z "$gnome_autogen" ; then
+  echo "You need to install the gnome-common module and make"
+  echo "sure the gnome-autogen.sh script is in your \$PATH."
+  exit 1
+fi
+
+REQUIRED_AUTOMAKE_VERSION=1.7.2 NOCONFIGURE="dont" GNOME_DATADIR="$gnome_datadir" USE_GNOME2_MACROS=1 . $gnome_autogen
+
+## Added experimentally to see if this fixes the tinderbox
+if test -z "$AUTOGEN_SUBDIR_MODE"; then
+   $srcdir/configure --enable-maintainer-mode --enable-gtk-doc --enable-compile-warnings "$@"
+   echo 
+   echo "Now type 'make' to compile $PKG_NAME."
+fi
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/macports-changes/attachments/20150427/7966122c/attachment-0001.html>


More information about the macports-changes mailing list